%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-node-xmpp
Version:    0.3.2
Release:    6%{?dist}
Summary:    Idiomatic XMPP client, component and server library for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/astro/node-xmpp
Source0:    http://registry.npmjs.org/node-xmpp/-/node-xmpp-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

# Small, isolated fix taken from upstream.
Patch0:     %{name}-0.3.2-check-socket-exists.patch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ltx)
BuildRequires:  npm(node-stringprep)
BuildRequires:  npm(vows)
%endif

%description
Idiomatic XMPP client, component and server library for Node.js.

The objectives of node-xmpp:
 - Use Node.js conventions, especially EventEmitter (ie, for write buffer
   control)
 - Fast parsing; node-expat was written for this library
 - Client support for both XMPP clients and components
 - Optional server infrastructure with Router
 - After authentication, leave trivial protocol bits to the user, that is
   XML handling according to any XEP


%prep
%setup -q -n package
%patch0 -p1
# Add npm(node-stringprep) to dependencies. Upstream it is an optional
# component and is listed in devDependencies, but we'll include it anyway
# for additional functionality.
%nodejs_fixdep node-stringprep '0.1.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/node-xmpp
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/node-xmpp

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/jid-test.js
%endif


%files
%doc LICENSE README.markdown examples/
%{nodejs_sitelib}/node-xmpp


%changelog
* Sun Jul 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-6
- restrict to compatible arches

* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-5
- add comment about upstream patch
- fix %%description

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-4
- apply check-socket-exists.patch

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-3
- make use of %%nodejs_fixdep

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-2
- be a bit more cautious with version requirements in the dependency patch

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.2-1
- initial package
